Skip to main content
GET
/
entitlements
/
customer
/
{customer_id}
List customer entitlements
curl --request GET \
  --url https://api.zenskar.com/entitlements/customer/{customer_id} \
  --header 'organisation: <api-key>' \
  --header 'x-api-key: <api-key>'
{
  "results": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "entitlement": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "units": "<string>",
      "customer": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "type": "Feature",
      "source_type": "Grant",
      "source_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "contract": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "email": "<string>"
      },
      "product": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "email": "<string>"
      },
      "invoice": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "email": "<string>"
      },
      "active_from": "2023-11-07T05:31:56Z",
      "expiry_at": "2023-11-07T05:31:56Z",
      "quantity": 123,
      "quantity_used": 123,
      "quantity_remaining": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "contract_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "event": "<string>",
      "invoice_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "status": "draft"
    }
  ],
  "next": "V2VsbCBhcmV1IGN1cmlvdxM=",
  "previous": "GmBsbCBhcmV1IGN1cmlvdxM=",
  "total_count": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs2.zenskar.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
default:<your-api-key>
required
organisation
string
header
default:<your-organisation-id>
required

Path Parameters

customer_id
string<uuid>
required

Query Parameters

cursor
string | null

The cursor indicating a unique set of results - this should be auto generated and you get it from the next and previous fields of the response

Example:

"V2VsbCBhcmV1IGN1cmlvdxM="

limit
integer | null

The number of results to return - defaults to 10

Example:

10

sort_key
string | null
Example:

"sort_key=id"

sort_type
string | null
Example:

"sort_key=asc"

search
string | null
populate
string | null
Example:

"customer"

status
string | null
Example:

"status=draft,active"

Response

Successful Response

results
EntitlementCustomerResponseSchema · object[]
required

The results for the current page

next
string | null

The cursor for the next page of results

Example:

"V2VsbCBhcmV1IGN1cmlvdxM="

previous
string | null

The cursor for the previous page of results

Example:

"GmBsbCBhcmV1IGN1cmlvdxM="

total_count
integer | null

The total count of rows